com.icesoft.faces.facelets.component

## Class RequiredAttributeHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - com.icesoft.faces.facelets.component.RequiredAttributeHandler

- All Implemented Interfaces:
    java.io.Serializable, javax.faces.view.facelets.FaceletHandler

      public class RequiredAttributeHandler
      extends javax.faces.view.facelets.TagHandler
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredAttributeHandler(javax.faces.view.facelets.TagConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequiredAttributeHandler

          public RequiredAttributeHandler(javax.faces.view.facelets.TagConfig config)

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws java.io.IOException,
                            javax.faces.FacesException,
                            javax.el.ELException

      Specified by:
        `apply` in interface `javax.faces.view.facelets.FaceletHandler`
      Throws:
        `java.io.IOException`
        `javax.faces.FacesException`
        `javax.el.ELException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.